### Signal

# EDataServerUI4 CredentialsPrompter::get-dialog-parent

since: 3.16

#### Declaration

    GtkWindow*
    get_dialog_parent (
      ECredentialsPrompter* self,
      gpointer user_data
    )

#### Description [src]

Emitted when a new dialog will be shown, to get the right parent window for it. If the result of the call is `NULL`, then it tries to get the window from the default GtkApplication.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.16

#### Return value

Type: `GtkWindow`

A `GtkWindow`, to be used as a dialog parent, or `NULL`.

The data is owned by the called function.
The return value can be `NULL`.